__gnu_parallel::_DRandomShufflingGlobalData< _RAIter >(3cxx)

NAME
__gnu_parallel::_DRandomShufflingGlobalData< _RAIter > - Data known to every thread participating in __gnu_parallel::__parallel_random_shuffle().

SYNOPSIS

  Public Types

typedef _TraitsType::difference_type _DifferenceType
typedef std::iterator_traits< _RAIter > _TraitsType
typedef _TraitsType::value_type _ValueType

  Public Member Functions

_DRandomShufflingGlobalData (_RAIter &__source)
Constructor.

  Public Attributes

_ThreadIndex * _M_bin_proc
Number of the thread that will further process the corresponding bin.
_DifferenceType ** _M_dist
Two-dimensional array to hold the thread-bin distribution.
int _M_num_bins
Number of bins to distribute to.
int _M_num_bits
Number of bits needed to address the bins.
_RAIter & _M_source
Begin iterator of the __source.
_DifferenceType * _M_starts
Start indexes of the threads' __chunks.
_ValueType ** _M_temporaries
Temporary arrays for each thread.

Detailed Description

  template<typename _RAIter>
struct __gnu_parallel::_DRandomShufflingGlobalData< _RAIter >" Data known to every thread participating in __gnu_parallel::__parallel_random_shuffle().

Constructor & Destructor Documentation

  template<typename _RAIter > __gnu_parallel::_DRandomShufflingGlobalData< _RAIter >::_DRandomShufflingGlobalData (_RAIter & __source) [inline]

Constructor.

Member Data Documentation

  template<typename _RAIter > _ThreadIndex* __gnu_parallel::_DRandomShufflingGlobalData< _RAIter >::_M_bin_proc

Number of the thread that will further process the corresponding bin.

Referenced by __gnu_parallel::__parallel_random_shuffle_drs().

  template<typename _RAIter > _DifferenceType** __gnu_parallel::_DRandomShufflingGlobalData< _RAIter >::_M_dist

Two-dimensional array to hold the thread-bin distribution. Dimensions (_M_num_threads + 1) __x (_M_num_bins + 1).

Referenced by __gnu_parallel::__parallel_random_shuffle_drs(), and __gnu_parallel::__parallel_random_shuffle_drs_pu().

  template<typename _RAIter > int __gnu_parallel::_DRandomShufflingGlobalData< _RAIter >::_M_num_bins

Number of bins to distribute to.

Referenced by __gnu_parallel::__parallel_random_shuffle_drs(), and __gnu_parallel::__parallel_random_shuffle_drs_pu().

  template<typename _RAIter > int __gnu_parallel::_DRandomShufflingGlobalData< _RAIter >::_M_num_bits

Number of bits needed to address the bins.

Referenced by __gnu_parallel::__parallel_random_shuffle_drs(), and __gnu_parallel::__parallel_random_shuffle_drs_pu().

  template<typename _RAIter > _RAIter& __gnu_parallel::_DRandomShufflingGlobalData< _RAIter >::_M_source

Begin iterator of the __source.

  template<typename _RAIter > _DifferenceType* __gnu_parallel::_DRandomShufflingGlobalData< _RAIter >::_M_starts

Start indexes of the threads' __chunks.

Referenced by __gnu_parallel::__parallel_random_shuffle_drs(), and __gnu_parallel::__parallel_random_shuffle_drs_pu().

  template<typename _RAIter > _ValueType** __gnu_parallel::_DRandomShufflingGlobalData< _RAIter >::_M_temporaries

Temporary arrays for each thread.

Referenced by __gnu_parallel::__parallel_random_shuffle_drs().

Author

Generated automatically by Doxygen for libstdc++ from the source code.